Intel wireless randomly drops connection

Bug #911059 reported by Jono Bacon on 2012-01-03
98
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Leann Ogasawara
Precise
High
Leann Ogasawara

Bug Description

I am having an unusual problem here. Ever since I upgraded to 12.04 my wireless connection seems to randomly drop from time to time. Re-connecting to it in NetworkManager solves it until the next time it drops.

I saw from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/548992 that this could be due to power management issues, so I added 'wireless-power off' to /etc/network/interfaces and iwconfig tells me 'Power Management:off' but I am still getting the same problem.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-7-generic-pae 3.2.0-7.13
ProcVersionSignature: Ubuntu 3.2.0-7.13-generic-pae 3.2.0-rc7
Uname: Linux 3.2.0-7-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.90-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jono 1545 F.... pulseaudio
 /dev/snd/controlC0: jono 1545 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 49'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa211c,00100000'
   Controls : 13
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'U0x46d0x825'/'USB Device 0x46d:0x825 at usb-0000:00:1d.7-2.3, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0825'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 6144
   Mono: Capture 4608 [75%] [24.00dB] [on]
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT16WW-1.06'
   Mixer name : 'ThinkPad EC 7VHT16WW-1.06'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Mon Jan 2 17:05:43 2012
HibernationDevice: RESUME=UUID=d4956f74-d9ca-40be-958a-44a5e9ad75d2
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120102)
MachineType: LENOVO 7417CTO
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-7-generic-pae root=UUID=312c6990-bc81-4ca1-926b-fd503b7a19dd ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-7-generic-pae N/A
 linux-backports-modules-3.2.0-7-generic-pae N/A
 linux-firmware 1.67
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/26/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET81WW (3.11 )
dmi.board.name: 7417CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET81WW(3.11):bd11/26/2009:svnLENOVO:pn7417CTO:pvrThinkPadT400:rvnLENOVO:rn7417CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7417CTO
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Jono Bacon (jonobacon) wrote :
Brad Figg (brad-figg) on 2012-01-03
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds .

The latest mainline kernel can be found at:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc7-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key regression-release
Joseph Salisbury (jsalisbury) wrote :

Also, can you confirm that the issue goes away by booting back into the latest Oneiric kernel(Which is in the proposed repository)? If so, the .deb for the kernel is available at:

https://launchpad.net/~canonical-kernel-team/+archive/ppa/+build/3061070/+files/linux-image-3.0.0-15-generic-pae_3.0.0-15.25_i386.deb

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-8.14
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-12.20
Jono Bacon (jonobacon) wrote :

This bug is still present. I just tested it against the mainline kernel:

Linux forge2 3.3.0-030300rc1-generic-pae #201201191835 SMP Thu Jan 19 23:51:25 UTC 2012 i686 i686 i386 GNU/Linux

It is also available in all Precise kernels I have tried.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jono Bacon (jonobacon) wrote :
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

As requested on IRC, please try the following with the latest Precise kernel(After confirming the bug does not exist with the latest Oneiric kernel):

sudo modprobe -r iwlagn;sudo modprobe iwlagn 11n_disable=1

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-12.21
Jono Bacon (jonobacon) wrote :

I can confirm that this bug is definitely not present in the Oneiric kernel - I ran with no wireless dropouts for a day.

I am now testing 3.3.0-030300rc1-generic-pae with iwlagn 11n_disable=1 - will see how I get on.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Jono Bacon (jonobacon) wrote :

OK, I tried the most recent Precise kernel with iwlagn 11n_disable=1 and the bug is definitely still present. I tried 3.3.0-030300rc1-generic-pae and it seemed to happen there too.

Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

To bisect, we need to identify the last kernel that did not have this issue and/or the first kernel that had the issue. Could you test the following two kernels:

v3.1
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/

v.3.2-rc2
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc2-oneiric/

This will tell us if the bug existed in 3.1 or was introduced in 3.2. If the v3.1 kernel has the bug, there is no need to test the v3.2-rc2 kernel.

Jono Bacon (jonobacon) wrote :

Tested this kernel:

Linux forge2 3.1.0-030100-generic #201110241006 SMP Mon Oct 24 14:20:44 UTC 2011 i686 i686 i386 GNU/Linux

The bug is still present.

Joseph Salisbury (jsalisbury) wrote :

Thanks, Jono.

There are 10 release candidates from 3.0 to 3.1. It might be quickest to test them in a bubble sort type of fashion. Could you next test v3.1-rc5?

It is available from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-rc5-oneiric/

Jono Bacon (jonobacon) wrote :

Hi Joe.

OK, so 3.1-rc5 has the bug, testing 3.1-rc2 next.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-13.22
Jono Bacon (jonobacon) wrote :

OK, 3.1-rc2 has the bug too. Testing rc-1 next.

Jono Bacon (jonobacon) wrote :

OK, there is no image for rc-1 so we know the bug happened between 3.0 and 3.1rc2.

Jono Bacon (jonobacon) on 2012-02-03
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

I bisected between 3.0 and 3.1rc2 and the first test kernel will be up to commit:
45b583b10a8b438b970e95a7d1d4db22c9e35004

I'm having an issue building this test kernel, but I will post a link to it soon.

Thanks!

Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

When you have a chance, can you test the latest upstream stable 3.0 release? It is available at:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.19-oneiric/

The latest Oneiric kernel is based off of mainline stable 3.0.10, so testing v3.0.19 would be helpful.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-14.23
cacula (cacula) wrote :

having similiar issues. made a fresh precise install with alpha 2 yesterday. before i was using oneric with proposed updates activated and all updates installed. didn't have any issues with wireless in oneric. i have a dell latitude e6510. it has a Intel Corporation Centrino Ultimate-N 6300 (rev 35) installed. in precise alpha 2 after about 10 min i can't acess the internet anymore. after i disconnect from ap and connect again via network manager everything is fine again.

cacula (cacula) wrote :

issue still exists with new kernel (2.0-14-generic #23 x64)

cacula (cacula) on 2012-02-05
Changed in linux (Ubuntu):
status: Incomplete → New
cacula (cacula) wrote :

after disconnecting / connecting to ap it stops working again after about 10 min. it seems like it's recurring.

Brad Figg (brad-figg) on 2012-02-05
Changed in linux (Ubuntu):
status: New → Confirmed
cacula (cacula) wrote :

Hi Joseph,

testing latest upstream stable 3.0 release (3.0.19) as proposed in #20 right now. So far (+1 h) connection is stable an no issues.

Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

I created a set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

This kernel is the fist bisected kernel between 3.0 and 3.1rc2 .

Can you test them out and report back?

This test kernel is a build up to commit:
45b583b10a8b438b970e95a7d1d4db22c9e35004

Jono Bacon (jonobacon) wrote :

So far I have been running:

Linux forge2 3.0.19-030019-generic #201202031420 SMP Fri Feb 3 19:29:40 UTC 2012 i686 i686 i386 GNU/Linux

and I have not seen this bug happening. Which other kernels do you want me to test?

cacula (cacula) wrote :

Hi Joseph,

when I boot to linux-image-3.0.0-030000-generic_3.0.0-030000.201202041529_amd64 I do not have a wireless interface anymore. Can't test :-(

Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

I'm still having an issue building the bisected pae kernel.

For reference in the bug, I am seeing this error when building the pae kernel(amd64 builds fine):

ERROR: "__udivdi3" [drivers/target/target_core_mod.ko] undefined!
make[3]: *** [__modpost] Error 1
make[2]: *** [modules] Error 2
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory `/home/jsalisbury/bugs/lp911059/linux-stable'
make: *** [/home/jsalisbury/bugs/lp911059/linux-stable/debian/stamps/stamp-build-generic-pae] Error 2

I'll update the bug as soon as a test kernel is available.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-15.24
cacula (cacula) wrote :

bug still exists with newest kernel 3.2.0-15.24

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

The kernel build issue is resolved. I created a set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

This kernel is the fist bisected kernel between 3.0 and 3.1rc2 . There will be a few iterations of test kernels required to identify the commit that caused the regression.

Can you test this kernel out and report back if the issue still exists or not?

Notes for the bisect:
This test kernel is a build up to commit:
45b583b10a8b438b970e95a7d1d4db22c9e35004

This test kernel also included the patches for the following commits:
277c5f27a2c86a9a733c0ec0f6a9b1032dfa3e15
36a26c69b4c70396ef569c3452690fba0c1dec08

Jono Bacon (jonobacon) wrote :

Just tried the PAE kernel and there were no wireless networks displayed or available.

Joseph Salisbury (jsalisbury) wrote :

@cacula

Would it be possible for you to test the kernel available at:
http://people.canonical.com/~jsalisbury/lp911059/

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Jono. I'll review the git log and see if there is another patch that first must be applied.

cacula (cacula) wrote :

Just tried the kernel from #34. Same as #33 - there were no wireless networks displayed or available. Sorry.
Found a similiar bug @ redhat: https://bugzilla.redhat.com/show_bug.cgi?id=785239 Maybe related. Tried proposed Workaround with latest kernel (2.0-15-generic #24-Ubuntu x64):

Please create a file called /etc/modprobe.d/iwlwifi.conf with a single line
like this:

options iwlwifi 11n_disable=1

Then reboot (or "modprobe -r iwlwifi ; modprobe iwlwifi" as root). Does that
at least keep the interface alive and working?

Interface was working but bug was still there

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing the kernel cacula and Jono. I'll see if there is an additional patch required to get the wireless networks displayed.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-16.25
Joseph Salisbury (jsalisbury) wrote :

I created another set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

Can you test them out and report back?

Jono Bacon (jonobacon) wrote :

I tested http://people.canonical.com/~jsalisbury/lp911059/linux-image-3.0.0-030000-generic-pae_3.0.0-030000.201202142247_i386.deb and still no wireless networks are available.

Do you think this could be because I am using a PAE kernel? I doubt it though as I am currently running the following kernel which I know works:

Linux forge2 3.0.0-15-generic-pae #25-Ubuntu SMP Mon Jan 2 19:40:15 UTC 2012 i686 i686 i386 GNU/Linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Hi Jono,

I don't believe it is because you are using the pae kernel. The reason is because, this is a kernel bisect. So you are testing a kernel that is halfway between v3.0 and v3.1-rc2. There must have been a bug, that was fixed after this bisect kernel, that resolved the issue with you not being able to see wireless networks.

I may just have to manually bisect to get around this additional bug. I'll have another test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

I created another set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

I manually performed a bisect to try and get past all of these issues we've run into trying to test for the real bug.

Can you test them out and report back?

This test kernel is up to commit:
5762a179b64cf37305d1d4d624e1b6ad9ee80602

Jono Bacon (jonobacon) wrote :

Sorry, Joe, this kernel also does not show any wireless networks.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Jono.

I created another set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

This test kernel is up to commit:
0b576372e86c8e6bee01506651b21ec0fe8a1698

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-17.26
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bot-stop-nagging
Keng-Yu Lin (lexical) wrote :

If loading iwlwifi with "11n_disable=1" or "swcrypto=1" fixes, this is already taken care somewhere upstream:

Some bisect done: http://marc.info/?l=linux-wireless&m=132856386525621

There is a patch may worth trying as mentioned: http://marc.info/?l=linux-wireless&m=132889663513703

commit 86f9199668e8035933c9c5a1e42be9de3a320cd7
Author: Johannes Berg <email address hidden>
Date: Tue Feb 7 21:18:33 2012 +0100

    iwlwifi: fix key removal

    When trying to remove a key, we always send key
    flags just setting the key type, not including
    the multicast flag and the key ID. As a result,
    whenever any key was removed, the unicast key 0
    would be removed, causing a complete connection
    loss after the second rekey (the first doesn't
    cause a key removal). Fix the key removal code
    to include the key ID and multicast flag, thus
    removing the correct key.

    Change-Id: If64327d78a07240b6d86f39fdee4ad6d438bc4f0
    Cc: <email address hidden>
    Reported-by: Alexander Schnaidt <email address hidden>
    Signed-off-by: Johannes Berg <email address hidden>

Keng-Yu Lin (lexical) wrote :

Personally been testing a kernel with the patch in #46 on Thinkpad X200 for the day, no see the wifi drop so far. used to encounter around once per hour.

tags: added: blocks-hwcert-enablement
tags: added: rls-mgr-p-tracking
Joseph Salisbury (jsalisbury) wrote :

@Jono, I'll build a test kernel with the patch in comment #46 applied. I'll post a link to it shortly.

Jono Bacon (jonobacon) wrote :

Awesome, will test when you have the build ready. :-)

cacula (cacula) wrote :

For me the bug looks specific to the AP I use. Tried three other AP and had no more problems so far. The AP causing the problem is Alice (Sphairon) IAD WLAN 3231. The three other AP which didn't cause the Problem were:
ASUS WL-500g Premium
D-Link DIR-652
AVM Fritz Box

Hope this helps ;-)

Joseph Salisbury (jsalisbury) wrote :

I created another set of test kernels, which are available at:
http://people.canonical.com/~jsalisbury/lp911059/

This test kernel has the patch has the crypto-fix patch applied(Mentioned in comment #46).

Changed in linux (Ubuntu):
importance: Medium → High
Jono Bacon (jonobacon) wrote :

So far so good, Joe, the test kernel has not dropped wireless at all all day. :-)

Jamie Strandboge (jdstrand) wrote :

I'm seeing the same sorts of dropouts with my x201s (Intel Corporation Centrino Advanced-N 6200 (rev 35)), which also uses iwlwifi and will test the kernel in #51 as well.

Jamie Strandboge (jdstrand) wrote :

fwiw, this kernel seems to work quite well for me too. I worked for ~8 hours with no drop outs.

Joseph Salisbury (jsalisbury) wrote :

Looks like that patch is queued up for v3.3:
https://lkml.org/lkml/2012/2/27/459

The patch appears to be in Dave Miller's net tree, ie making it's way upstream to Linus. I've gone ahead and cherry-picked this patch for Precise. It'll be available in the first kernel upload after the Beta-1 freeze lifts. Thanks.

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
tags: added: rls-p-tracking
Changed in linux (Ubuntu Precise):
assignee: nobody → Leann Ogasawara (leannogasawara)
Launchpad Janitor (janitor) wrote :
Download full text (3.9 KiB)

This bug was fixed in the package linux - 3.2.0-18.28

---------------
linux (3.2.0-18.28) precise; urgency=low

  [ Andy Whitcroft ]

  * ubuntu: AUFS -- adapt to the new changelog handling
  * ubuntu: AUFS -- sort out the relative header paths
  * ubuntu: AUFS -- update to d266b0c5d0693d6383976ee54b9e2c0fa9a3f5b0

  [ Chase Douglas ]

  * SAUCE: (drop after 3.3) HID: hid-magicmouse: Add pointer and buttonpad
    properties for Magic Trackpad
  * SAUCE: Input: synaptics - add second variant of two-button clickpad
  * SAUCE: Input: synapticss - Set buttonpad property for all clickpads

  [ Johannes Berg ]

  * SAUCE: iwlwifi: fix key removal
    - LP: #911059

  [ John Johansen ]

  * Revert "SAUCE: AppArmor: Fix unpack of network tables."
  * Revert "SAUCE: AppArmor: Allow dfa backward compatibility with broken
    userspace"
  * SAUCE: AppArmor: Add mising end of structure test to caps unpacking
  * SAUCE: AppArmor: Fix dropping of allowed operations that are force
    audited
  * SAUCE: AppArmor: Fix underflow in xindex calculation
  * SAUCE: AppArmor: fix mapping of META_READ to audit and quiet flags
  * SAUCE: AppArmor: Fix the error case for chroot relative path name
    lookup
    - LP: #925028
  * SAUCE: AppArmor: Retrieve the dentry_path for error reporting when path
    lookup fails
    - LP: #925028
  * SAUCE: AppArmor: Minor cleanup of d_namespace_path to consolidate error
    handling
  * SAUCE: AppArmor: Update dfa matching routines.
  * SAUCE: AppArmor: Move path failure information into aa_get_name and
    rename
  * SAUCE: AppArmor: Make chroot relative the default path lookup type
  * SAUCE: AppArmor: Add ability to load extended policy
  * SAUCE: AppArmor: basic networking rules
  * SAUCE: AppArmor: Add profile introspection file to interface
  * SAUCE: AppArmor: Add the ability to mediate mount
  * SAUCE: AppArmor: Add mount information to apparmorfs

  [ Kees Cook ]

  * SAUCE: AppArmor: refactor securityfs to use structures
  * SAUCE: AppArmor: add initial "features" directory to securityfs
  * SAUCE: AppArmor: add "file" details to securityfs
  * SAUCE: AppArmor: export known rlimit names/value mappings in securityfs

  [ Leann Ogasawara ]

  * Revert "[Config] Enable CONFIG_NVRAM=m"
    - LP: #942193
  * Rebase to v3.2.7
  * [Config] Enable CONFIG_USB_SERIAL_QUATECH2=m on arm and powerpc
  * [Config] Enable CONFIG_USB_SERIAL_QUATECH_USB2=m on arm and powerpc
  * [Config] Add CONFIG_NVRAM to config enforcer
    - LP: #942193
  * [Config] Enable CONFIG_SCSI_IBMVSCSI=m for powerpc
    - LP: #943090
  * [Config] Enable CONFIG_SCSI_IPR=m for powerpc
    - LP: #943090
  * provide ipmi udeb
    - LP: #942926
  * Rebase to v3.2.9
  * Add ibmveth to d-i/modules-powerpc/nic-modules
    - LP: #712188
  * [Config] Enable CONFIG_SCSI_IBMVFC=m for powerpc
    - LP: #712188
  * Add ibmvfc and ibmvscsic to d-i/modules-powerpc/nic-modules
    - LP: #712188

  [ Seth Heasley ]

  * SAUCE: ALSA: hda - Add Lynx Point HD Audio Controller DeviceIDs
    - LP: #900119
  * SAUCE: ahci: AHCI-mode SATA patch for Intel Lynx Point DeviceIDs
    - LP: #900119
  * SAUCE: ata_piix: IDE-mode SATA patch for Intel Lynx Point DeviceIDs
    - LP: #900119
...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Anmar Oueja (anmar) wrote :

Using the latest kernel (3.2.0-18.28). I just noticed a drop in network. I will monitor it further and report back.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Jamie Strandboge (jdstrand) wrote :

I have had two drops today as well:
$ cat /proc/version_signature
Ubuntu 3.2.0-18.28-generic 3.2.9

I will go back to using

Jamie Strandboge (jdstrand) wrote :

Err, back to using:
options iwlwifi 11n_disable=1 swcrypto=1

Jamie Strandboge (jdstrand) wrote :

Per kernel team's request, filed the new bug #948235.

Thanks Jamie. I've followed up with Jono (original bug reporter) via IRC and he's noted that with this fix applied he's no longer experiencing any issues. So I think it is best that anyone still experiencing issues to please open a separate bug report for now and we can follow up. Thanks.

Joseph Salisbury (jsalisbury) wrote :

@Keng-Yu Lin @cacula

I recall you were hitting this bug. Have you had any network drops since upgrading to the 3.2.0-18.28 kernel?

cacula (cacula) wrote :

@joseph

i changed my router and then had so far no more problems, even with unpatched kernel. for me the bug seemed router specific. also can't test because don't have router anymore. sorry. but thank you very much for your assistance.

Keng-Yu Lin (lexical) wrote :

No see any wireless network drop with 3.2.0-18.28 kernel so far, seems to work good.

hangelwen (hangelwen) wrote :

@cacula (cacula)

my problem is also ap specific. No probelm at home but keeps droping at school. how to get the ap information(model)?

cacula (cacula) wrote :

@hangelwen

I think you need the chipset of the ap. just try a google search.

Sherif Louis (sherif-halim) wrote :

I am using the official release Precise with kernel 3.2.0-23 x64
which i upgraded few days ago from 11.10
upon booting,the wireless connection connects normally but there is no internet/network (i can't even ping the router) connection. I tried to switch off/on the wireless device, i tried disconnecting/connecting from Network manager with no luck.
rmmod iwlwifi and modprobe iwlwifi back again solves the issue.
I'm seeing an error in dmesg:
[ 103.018296] iwlwifi 0000:02:00.0: Microcode SW error detected. Restarting 0x2000000.
attached the dmesg output of the error dump
sherif@sherif-laptop:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04 LTS
Release: 12.04
Codename: precise
sherif@sherif-laptop:~$ uname -a
Linux sherif-laptop 3.2.0-23-generic #36-Ubuntu SMP Tue Apr 10 20:39:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.